﻿namespace HeuristicLab.Problems.ProgramSynthesis.Base.Erc.Interfaces {
  public interface IReadOnlyErcOptions {
    double ErcProbability { get; }
    IReadOnlyIntegerErcOptions IntegerErcOptions { get; }
    IReadOnlyFloatErcOptions FloatErcOptions { get; }
    IReadOnlyBooleanErcOptions BooleanErcOptions { get; }
    IReadOnlyCharErcOptions CharErcOptions { get; }
    IReadOnlyStringErcOptions StringErcOptions { get; }
    IReadOnlyNameErcOptions NameErcOptions { get; }
    IReadOnlyVectorErcOptions<int> IntegerVectorErcOptions { get; }
    IReadOnlyVectorErcOptions<double> FloatVectorErcOptions { get; }
    IReadOnlyVectorErcOptions<string> StringVectorErcOptions { get; }
  }
}
